<?php
namespace app\index\controller;

use think\Controller;
use think\Db;
use qqconnect\QC;
// +----------------------------------------------------------------------
// | ThinkPHP [ WE CAN DO IT JUST THINK ]
// +----------------------------------------------------------------------
// | Copyright (c) 2021 http://guojiz.com All rights reserved.
// +----------------------------------------------------------------------
// | Author: 作者@梦雨 <50361804@qq.com>
// +----------------------------------------------------------------------
class Qq extends Controller
{
 	protected $config;
    protected function _initialize()
    {
        parent::_initialize();
        $config['appid'] = config('qq.qq-appid');
        $config['appkey'] = config('qq.qq-appkey');
        $config['callback'] = config('qq.qq-callback');
        $config['scope'] = 'get_user_info,add_share,list_album,add_album,upload_pic,add_topic,add_one_blog,add_weibo,check_page_fans,add_t,add_pic_t,del_t,get_repost_list,get_info,get_other_info,get_fanslist,get_idolist,add_idol,del_idol,get_tenpay_addr';
        $config['errorReport'] = true;
        $this->config = $config;
        session('qqconnect', $config);
    }
	
    public function qqlogin()
    {
        $this->error(config('web.sq'));
    }
    public function unbind()
    {
       $this->error(config('web.sq'));
    }
    public function login()
    {
        $qc = new QC();
        $this->redirect($qc->qq_login());
        $datac = $this->request->post();
    }
}